%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)
%{!?php_version:%define php_version %(php-config --version 2>/dev/null || echo 4.3.11)}

Name:           php-json
Version:        1.1.0
Release:        1%{?dist}
Summary:        An extremely fast PHP extension for JSON

Group:          Development/Languages
License:        LGPL
URL:            http://www.aurore.net/projects/php-json/
Source0:        http://www.aurore.net/projects/php-json/php-json-ext-%{version}.tar.bz2
Source1:        php-json.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  php-devel
Requires:       php = %{php_version}

%description
php-json is an extremely fast PHP C extension for JSON (JavaScript Object
Notation) serialisation.

%prep
%setup -q -n php-json-ext-%{version}
install -p -m 0644 %{SOURCE1} .
phpize --clean
phpize

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{php_extdir}
install -p -m 0755 modules/json.so $RPM_BUILD_ROOT%{php_extdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/php.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/json.ini << EOF
; Enable json extension module
extension=json.so
EOF

%check ||:
cat > test.ini << EOF
open_basedir=
safe_mode=0
output_buffering=0
extension_dir=${PWD}/modules
extension=json.so
EOF
php -m -c test.ini 2> /dev/null | grep -q json || {
  echo "JSON extension not loadable!"
  exit 1
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc php-json.html
%config(noreplace) %{_sysconfdir}/php.d/json.ini
%{php_extdir}/json.so

%changelog
* Fri Dec 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.0-1
- Initial RPM release
